Subject: [ippm] Updates to SR PM Drafts

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Fri, 22 Feb 2019 23:19:39 +0000

Hi WG,

We have posted following 3 IETF drafts on SR Performance Monitoring:

1.      https://tools.ietf.org/html/draft-gandhi-spring-rfc6374-srpm-udp-00

2.      https://tools.ietf.org/html/draft-gandhi-spring-rfc6374-srpm-mpls-00

3.      https://tools.ietf.org/html/draft-gandhi-spring-twamp-srpm-00

The first draft spring-rfc6374-srpm-udp was renamed from spring-udp-pm to better reflect the scope of RFC 6374.
Following updates were made to address various comments received during the last IETF meeting:

1)      Clarify In-band probe message scope in Section 2.4

2)      Clarify Sequence Number TLV usage wrt existing Seq # in RFC 6374 in Section 6

3)      Update Security Section 7

4)      Add Authentication Mode TLV in Section 6.2

5)      Add text for Anycast SID in Section 5

6)      Rework Return Path TLV structure in Section 3.2.3.1

7)      Use dynamic UDP port allocation approach similar to TWAMP-Light (and move away from fixed port due to difficulty in getting reserved UDP ports)

8)      Various editorial changes
Open Items:

·         None

The second draft spring-rfc6374-srpm-mpls was renamed from spring-sr-mpls-pm to better reflect the scope of RFC 6374.
Following updates were made to address various comments received during the last IETF meeting:

1)      Clarify In-band probe message scope

2)      Add text on ECMP.

3)      Various editorial changes.
Open Item:

·         Add text on Return Path (based on comment from Stewart Bryant).

We have introduced a third draft spring-twamp-srpm for using TWAMP-Light for SR-MPLS/SRV6 which has some similarity with RFC 6374 UDP-based approach. It also defines a new message for direct-mode loss measurement. We plan to update the draft next to add, a) Return Path TLV, and b) UDP checksum correction field for LM message.

Thank you everyone for your review comments and suggestions at the last meeting.
Please let us know your further feedbacks on this important area.

Thanks,
Rakesh (on behalf of co-authors and contributors)